
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.XmWwxmEntity;
import org.sky.scientific.pojo.vo.XmWwxmVO;
import java.util.Objects;

/**
 * 项目-委外项目 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class XmWwxmWrapper extends BaseEntityWrapper<XmWwxmEntity, XmWwxmVO> {

	public static XmWwxmWrapper build() {
		return new XmWwxmWrapper();
 	}

	@Override
	public XmWwxmVO entityVO(XmWwxmEntity xmWwxm) {
		XmWwxmVO xmWwxmVO = Objects.requireNonNull(BeanUtil.copyProperties(xmWwxm, XmWwxmVO.class));

		//User createUser = UserCache.getUser(xmWwxm.getCreateUser());
		//User updateUser = UserCache.getUser(xmWwxm.getUpdateUser());
		//xmWwxmVO.setCreateUserName(createUser.getName());
		//xmWwxmVO.setUpdateUserName(updateUser.getName());

		return xmWwxmVO;
	}


}
